National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2010-2713 Detail

Current Description

The vte_sequence_handler_window_manipulation function in vteseq.c in libvte (aka libvte9) in VTE 0.25.1 and earlier, as used in gnome-terminal, does not properly handle escape sequences, which allows remote attackers to execute arbitrary commands or obtain potentially sensitive information via a (1) window title or (2) icon title sequence. NOTE: this issue exists because of a CVE-2003-0070 regression.

Source:  MITRE
View Analysis Description

Evaluator Description

Per: http://cwe.mitre.org/data/definitions/77.html 'CWE-77: Improper Neutralization of Special Elements used in a Command ('Command Injection')'

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 6.8 MEDIUM
Vector: (AV:N/AC:M/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Victim must voluntarily interact with attack mechanism
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://git.gnome.org/browse/vte/commit/?id=8b971a7b2c59902914ecbbc3915c45dd21530a91 Exploit Patch
http://lists.opensuse.org/opensuse-security-announce/2010-08/msg00001.html
http://www.securityfocus.com/bid/41716
http://www.ubuntu.com/usn/usn-962-1
http://www.vupen.com/english/advisories/2010/1839 Vendor Advisory
https://bugzilla.redhat.com/show_bug.cgi?id=613110

Technical Details

Vulnerability Type (View All)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:nalin_dahyabhai:vte:0.11.21:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:0.12.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:0.14.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:0.15.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:0.16.14:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:0.17.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:0.20.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:0.22.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:0.24.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:nalin_dahyabhai:vte:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
0.25.1
Running on/with
 cpe:2.3:a:gnome:gnome-terminal:*:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2010-2713
NVD Published Date:
08/05/2010
NVD Last Modified:
09/09/2010